lexer grammar InternalMyDsl;
@header {
package org.xtext.example.mydsl7.parser.antlr.internal;

// Hack: Use our own Lexer superclass by means of import. 
// Currently there is no other way to specify the superclass for the lexer.
import org.eclipse.xtext.parser.antlr.Lexer;
}

T11 : 'SWSInteractionViewPoint' ;
T12 : '{' ;
T13 : '}' ;
T14 : 'Interface' ;
T15 : ';' ;
T16 : 'presents' ;
T17 : 'contains' ;
T18 : 'includes' ;
T19 : 'embodies' ;
T20 : 'involves' ;
T21 : 'Plan' ;
T22 : 'SS_RegisterPlan' ;
T23 : 'SS_FinderPlan' ;
T24 : 'SS_AgreementPlan' ;
T25 : 'SS_ExecutorPlan' ;
T26 : 'advertises' ;
T27 : 'interacts_with' ;
T28 : 'discovers' ;
T29 : 'negotiates' ;
T30 : 'executes' ;
T31 : 'uses' ;
T32 : 'Role' ;
T33 : 'interactswith' ;
T34 : 'SemanticWebAgent' ;
T35 : 'appliesPlan' ;
T36 : 'playsRole' ;
T37 : 'RegistrationRole' ;
T38 : 'SSMatchmakerAgent' ;
T39 : 'appliesRegistrationPlan' ;
T40 : 'playsRegistrationRole' ;
T41 : 'Grounding' ;
T42 : 'supports' ;
T43 : 'calls' ;
T44 : 'Process' ;
T45 : 'described_by' ;
T46 : 'embraces' ;
T47 : 'WebService' ;
T48 : 'Service' ;
T49 : 'SWS' ;
T50 : 'is_composed_of' ;
T51 : 'Input' ;
T52 : 'Output' ;
T53 : 'Precondition' ;
T54 : 'Effect' ;
T55 : 'Resource' ;
T56 : 'ODM_OWLClass' ;

// $ANTLR src "../org.xtext.example.mydsl7/src-gen/org/xtext/example/mydsl7/parser/antlr/internal/InternalMyDsl.g" 3246
RULE_ID : '^'? ('a'..'z'|'A'..'Z'|'_') ('a'..'z'|'A'..'Z'|'_'|'0'..'9')*;

// $ANTLR src "../org.xtext.example.mydsl7/src-gen/org/xtext/example/mydsl7/parser/antlr/internal/InternalMyDsl.g" 3248
RULE_INT : ('0'..'9')+;

// $ANTLR src "../org.xtext.example.mydsl7/src-gen/org/xtext/example/mydsl7/parser/antlr/internal/InternalMyDsl.g" 3250
RULE_STRING : ('"' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'"')))* '"'|'\'' ('\\' ('b'|'t'|'n'|'f'|'r'|'"'|'\''|'\\')|~(('\\'|'\'')))* '\'');

// $ANTLR src "../org.xtext.example.mydsl7/src-gen/org/xtext/example/mydsl7/parser/antlr/internal/InternalMyDsl.g" 3252
RULE_ML_COMMENT : '/*' ( options {greedy=false;} : . )*'*/';

// $ANTLR src "../org.xtext.example.mydsl7/src-gen/org/xtext/example/mydsl7/parser/antlr/internal/InternalMyDsl.g" 3254
RULE_SL_COMMENT : '//' ~(('\n'|'\r'))* ('\r'? '\n')?;

// $ANTLR src "../org.xtext.example.mydsl7/src-gen/org/xtext/example/mydsl7/parser/antlr/internal/InternalMyDsl.g" 3256
RULE_WS : (' '|'\t'|'\r'|'\n')+;

// $ANTLR src "../org.xtext.example.mydsl7/src-gen/org/xtext/example/mydsl7/parser/antlr/internal/InternalMyDsl.g" 3258
RULE_ANY_OTHER : .;


