/**
 * <copyright>
 * </copyright>
 *

 */
package org.xtext.example.mydsl7.myDsl.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

import org.xtext.example.mydsl7.myDsl.Effect;
import org.xtext.example.mydsl7.myDsl.Grounding;
import org.xtext.example.mydsl7.myDsl.Input;
import org.xtext.example.mydsl7.myDsl.Interface;
import org.xtext.example.mydsl7.myDsl.MyDslPackage;
import org.xtext.example.mydsl7.myDsl.ODM_OWLClass;
import org.xtext.example.mydsl7.myDsl.Output;
import org.xtext.example.mydsl7.myDsl.Plan;
import org.xtext.example.mydsl7.myDsl.Precondition;
import org.xtext.example.mydsl7.myDsl.RegistrationRole;
import org.xtext.example.mydsl7.myDsl.Resource;
import org.xtext.example.mydsl7.myDsl.Role;
import org.xtext.example.mydsl7.myDsl.SSMatchmakerAgent;
import org.xtext.example.mydsl7.myDsl.SS_AgreementPlan;
import org.xtext.example.mydsl7.myDsl.SS_AgreementPlanDef;
import org.xtext.example.mydsl7.myDsl.SS_ExecutorPlan;
import org.xtext.example.mydsl7.myDsl.SS_ExecutorPlanDef;
import org.xtext.example.mydsl7.myDsl.SS_FinderPlan;
import org.xtext.example.mydsl7.myDsl.SS_FinderPlanDef;
import org.xtext.example.mydsl7.myDsl.SS_RegisterPlan;
import org.xtext.example.mydsl7.myDsl.SS_RegisterPlanDef;
import org.xtext.example.mydsl7.myDsl.SWS;
import org.xtext.example.mydsl7.myDsl.SWSInteractionViewpoint;
import org.xtext.example.mydsl7.myDsl.SemanticWebAgent;
import org.xtext.example.mydsl7.myDsl.Service;
import org.xtext.example.mydsl7.myDsl.WebService;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.xtext.example.mydsl7.myDsl.MyDslPackage
 * @generated
 */
public class MyDslSwitch<T>
{
  /**
   * The cached model package
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static MyDslPackage modelPackage;

  /**
   * Creates an instance of the switch.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MyDslSwitch()
  {
    if (modelPackage == null)
    {
      modelPackage = MyDslPackage.eINSTANCE;
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  public T doSwitch(EObject theEObject)
  {
    return doSwitch(theEObject.eClass(), theEObject);
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(EClass theEClass, EObject theEObject)
  {
    if (theEClass.eContainer() == modelPackage)
    {
      return doSwitch(theEClass.getClassifierID(), theEObject);
    }
    else
    {
      List<EClass> eSuperTypes = theEClass.getESuperTypes();
      return
        eSuperTypes.isEmpty() ?
          defaultCase(theEObject) :
          doSwitch(eSuperTypes.get(0), theEObject);
    }
  }

  /**
   * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the first non-null result returned by a <code>caseXXX</code> call.
   * @generated
   */
  protected T doSwitch(int classifierID, EObject theEObject)
  {
    switch (classifierID)
    {
      case MyDslPackage.SWS_INTERACTION_VIEWPOINT:
      {
        SWSInteractionViewpoint swsInteractionViewpoint = (SWSInteractionViewpoint)theEObject;
        T result = caseSWSInteractionViewpoint(swsInteractionViewpoint);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.INTERFACE:
      {
        Interface interface_ = (Interface)theEObject;
        T result = caseInterface(interface_);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.PLAN:
      {
        Plan plan = (Plan)theEObject;
        T result = casePlan(plan);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_REGISTER_PLAN_DEF:
      {
        SS_RegisterPlanDef sS_RegisterPlanDef = (SS_RegisterPlanDef)theEObject;
        T result = caseSS_RegisterPlanDef(sS_RegisterPlanDef);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_FINDER_PLAN_DEF:
      {
        SS_FinderPlanDef sS_FinderPlanDef = (SS_FinderPlanDef)theEObject;
        T result = caseSS_FinderPlanDef(sS_FinderPlanDef);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_AGREEMENT_PLAN_DEF:
      {
        SS_AgreementPlanDef sS_AgreementPlanDef = (SS_AgreementPlanDef)theEObject;
        T result = caseSS_AgreementPlanDef(sS_AgreementPlanDef);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_EXECUTOR_PLAN_DEF:
      {
        SS_ExecutorPlanDef sS_ExecutorPlanDef = (SS_ExecutorPlanDef)theEObject;
        T result = caseSS_ExecutorPlanDef(sS_ExecutorPlanDef);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_REGISTER_PLAN:
      {
        SS_RegisterPlan sS_RegisterPlan = (SS_RegisterPlan)theEObject;
        T result = caseSS_RegisterPlan(sS_RegisterPlan);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_FINDER_PLAN:
      {
        SS_FinderPlan sS_FinderPlan = (SS_FinderPlan)theEObject;
        T result = caseSS_FinderPlan(sS_FinderPlan);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_AGREEMENT_PLAN:
      {
        SS_AgreementPlan sS_AgreementPlan = (SS_AgreementPlan)theEObject;
        T result = caseSS_AgreementPlan(sS_AgreementPlan);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_EXECUTOR_PLAN:
      {
        SS_ExecutorPlan sS_ExecutorPlan = (SS_ExecutorPlan)theEObject;
        T result = caseSS_ExecutorPlan(sS_ExecutorPlan);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.ROLE:
      {
        Role role = (Role)theEObject;
        T result = caseRole(role);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SEMANTIC_WEB_AGENT:
      {
        SemanticWebAgent semanticWebAgent = (SemanticWebAgent)theEObject;
        T result = caseSemanticWebAgent(semanticWebAgent);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.REGISTRATION_ROLE:
      {
        RegistrationRole registrationRole = (RegistrationRole)theEObject;
        T result = caseRegistrationRole(registrationRole);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SS_MATCHMAKER_AGENT:
      {
        SSMatchmakerAgent ssMatchmakerAgent = (SSMatchmakerAgent)theEObject;
        T result = caseSSMatchmakerAgent(ssMatchmakerAgent);
        if (result == null) result = caseSemanticWebAgent(ssMatchmakerAgent);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.GROUNDING:
      {
        Grounding grounding = (Grounding)theEObject;
        T result = caseGrounding(grounding);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.PROCESS:
      {
        org.xtext.example.mydsl7.myDsl.Process process = (org.xtext.example.mydsl7.myDsl.Process)theEObject;
        T result = caseProcess(process);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.WEB_SERVICE:
      {
        WebService webService = (WebService)theEObject;
        T result = caseWebService(webService);
        if (result == null) result = caseService(webService);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SERVICE:
      {
        Service service = (Service)theEObject;
        T result = caseService(service);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.SWS:
      {
        SWS sws = (SWS)theEObject;
        T result = caseSWS(sws);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.INPUT:
      {
        Input input = (Input)theEObject;
        T result = caseInput(input);
        if (result == null) result = caseODM_OWLClass(input);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.OUTPUT:
      {
        Output output = (Output)theEObject;
        T result = caseOutput(output);
        if (result == null) result = caseODM_OWLClass(output);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.PRECONDITION:
      {
        Precondition precondition = (Precondition)theEObject;
        T result = casePrecondition(precondition);
        if (result == null) result = caseODM_OWLClass(precondition);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.EFFECT:
      {
        Effect effect = (Effect)theEObject;
        T result = caseEffect(effect);
        if (result == null) result = caseODM_OWLClass(effect);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.RESOURCE:
      {
        Resource resource = (Resource)theEObject;
        T result = caseResource(resource);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      case MyDslPackage.ODM_OWL_CLASS:
      {
        ODM_OWLClass odM_OWLClass = (ODM_OWLClass)theEObject;
        T result = caseODM_OWLClass(odM_OWLClass);
        if (result == null) result = defaultCase(theEObject);
        return result;
      }
      default: return defaultCase(theEObject);
    }
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SWS Interaction Viewpoint</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SWS Interaction Viewpoint</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSWSInteractionViewpoint(SWSInteractionViewpoint object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Interface</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Interface</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseInterface(Interface object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Plan</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Plan</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePlan(Plan object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Register Plan Def</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Register Plan Def</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_RegisterPlanDef(SS_RegisterPlanDef object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Finder Plan Def</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Finder Plan Def</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_FinderPlanDef(SS_FinderPlanDef object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Agreement Plan Def</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Agreement Plan Def</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_AgreementPlanDef(SS_AgreementPlanDef object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Executor Plan Def</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Executor Plan Def</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_ExecutorPlanDef(SS_ExecutorPlanDef object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Register Plan</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Register Plan</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_RegisterPlan(SS_RegisterPlan object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Finder Plan</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Finder Plan</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_FinderPlan(SS_FinderPlan object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Agreement Plan</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Agreement Plan</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_AgreementPlan(SS_AgreementPlan object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Executor Plan</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Executor Plan</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSS_ExecutorPlan(SS_ExecutorPlan object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Role</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Role</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseRole(Role object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Semantic Web Agent</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Semantic Web Agent</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSemanticWebAgent(SemanticWebAgent object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Registration Role</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Registration Role</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseRegistrationRole(RegistrationRole object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SS Matchmaker Agent</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SS Matchmaker Agent</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSSMatchmakerAgent(SSMatchmakerAgent object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Grounding</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Grounding</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseGrounding(Grounding object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Process</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Process</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseProcess(org.xtext.example.mydsl7.myDsl.Process object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Web Service</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Web Service</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseWebService(WebService object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Service</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Service</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseService(Service object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>SWS</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>SWS</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseSWS(SWS object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Input</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Input</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseInput(Input object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Output</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Output</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseOutput(Output object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Precondition</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Precondition</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T casePrecondition(Precondition object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Effect</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Effect</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseEffect(Effect object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>Resource</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>Resource</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseResource(Resource object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>ODM OWL Class</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>ODM OWL Class</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
   * @generated
   */
  public T caseODM_OWLClass(ODM_OWLClass object)
  {
    return null;
  }

  /**
   * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
   * <!-- begin-user-doc -->
   * This implementation returns null;
   * returning a non-null result will terminate the switch, but this is the last case anyway.
   * <!-- end-user-doc -->
   * @param object the target of the switch.
   * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
   * @see #doSwitch(org.eclipse.emf.ecore.EObject)
   * @generated
   */
  public T defaultCase(EObject object)
  {
    return null;
  }

} //MyDslSwitch
